Summary: KiSS PC-Link Daemon
Name: kissdx
Version: 0.13-10a
Release: 0
Group: System Environment/Daemons
License: GPL
Source0: %{name}-%{version}.zip
URL: http://www.vidartysse.net/kissdx/
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libstdc++-devel

%description
kissdx is a simple daemon which enables a Linux or Windows box to stream videos,
mp3 and pictures to a KiSS 15xx/5xx/6xx DVD/media player.

kissdx can also act as a KiSS Markup Language (KML) forwarder, enabling access
to external sites like http://tinystocks.com/k/docs/kiss.html
from your KiSS player.

kissdx is an enhanced version of kissd with support added for ISO and
VIDEO_TS folder streaming.
%prep
%setup -q

%build
make

%install
rm -rf %{buildroot}
install -d %{buildroot}/etc/init.d %{buildroot}/usr/sbin %{buildroot}/usr/share/man/man1
make install DESTDIR=%{buildroot}
install -m 755 kissdx.init %{buildroot}/etc/init.d/kissdx

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add kissdx

%preun
if [ $1 = 0 ]; then
	/sbin/service kissdx stop >/dev/null 2>&1
	/sbin/chkconfig --del kissdx
fi

%files
%defattr(-, root, root)
%doc kissd-pretrigger kissd-posttrigger
%config(noreplace) /etc/kissdx.conf
/etc/init.d/*
/usr/share/man/man1/*
%{_sbindir}/*

%changelog
* Mon Feb 11 2005 Stelian Pop <stelian@popies.net>
- First RPM packaging
* Tue Oct 10 2006 Vidar Tysse <kissdx@vidartysse.net>
- First [attempt at] RPM packaging of kissdx
