/*
 * kissdx - KiSS PC-Link Daemon eXtended (based on kissd)
 *
 * This file is Copyright (C) 2006 Vidar Tysse <vidar@vidartysse.net>
 * This file is Public domain.
 * 
 */

#ifndef PICCACHE_H_
#define PICCACHE_H_


// Prototypes of public functions

int piccache_get_entry_filename(char *cached_filename,
								const char *target_filename,
								int cached_image_width,
								int cached_image_height,
								int cached_image_max_zoom_percent);

int piccache_put_entry_from_memory(const void *image_data, size_t size,
									const char *target_filename,
									int cached_image_width,
									int cached_image_height,
									int cached_image_max_zoom_percent);

int piccache_set_precaching_status(const char *target_filename);
int piccache_clear_precaching_status(void);
int piccache_is_precaching_in_progress(void);
int piccache_wait_if_precaching_this(const char *target_filename);


#endif /*PICCACHE_H_*/
