#ifndef DVDREAD_H_
#define DVDREAD_H_

/*
 * kissdx - KiSS PC-Link Daemon eXtended (based on kissd)
 *
 * This file Copyright (C) 2006 Vidar Tysse <vidar@vidartysse.net>
 * This file is Public domain.
 *
 * Heavily based on wizd (Public domain)
 *
 */


#include <dvdread/dvd_reader.h>






#define WIZD_FILENAME_MAX		2048
#define	SVI_FILENAME_LENGTH		(255)


#define		JOINT_MAX	(255)

typedef struct {
	unsigned char	name[WIZD_FILENAME_MAX];
	u_int64_t		size;
	off_t			start_pos;		// starting position in file
} _FILE_INFO_T;


typedef struct {
	int		file_num;		// ե
	u_int64_t	total_size;		// եbyte

	_FILE_INFO_T	file[JOINT_MAX];	// JOINTե

	unsigned char	iso_name[WIZD_FILENAME_MAX];
	u_int64_t	iso_seek;
	dvd_file_t*	dvd_file;

	unsigned int	current_file_num;			// ȤꤢVOB
} JOINT_FILE_INFO_T;




// Prototypes for functions in dvdread.c

int IsDvdFolderOrIsoFile(char *name);
dvd_reader_t* CachedDvdOpen(char *name, int titleNo);
void CachedDvdClose(void);
int CachedDvdGetTitleCount(void);
u_int64_t CachedDvdGetSize(void);
ssize_t CachedDvdSendChunk(int socket, off_t range_start_pos, size_t range_length);


#endif /*DVDREAD_H_*/
